Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class OWLMicroReasoner

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.FBRuleReasoner
          com.hp.hpl.jena.reasoner.rulesys.GenericRuleReasoner
              com.hp.hpl.jena.reasoner.rulesys.OWLMicroReasoner

All Implemented Interfaces:
  Reasoner, RuleReasoner

    public class OWLMicroReasoner

extends GenericRuleReasoner
implements Reasoner

Reasoner configuration for the OWL micro reasoner. This only supports:

- RDFS entailments
- basic OWL axioms like ObjectProperty subClassOf Property
- intersectionOf, equivalentClass and forward implication of unionOf sufficient for traversal of explicit class hierachies<.li>
- Property axioms (inversOf, SymmetricProperty, TransitiveProperty, equivalentProperty)

There is some experimental support for the cheaper class restriction handlingly which should not be relied on at this point.

Version:
  $Revision: 1.8 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.reasoner.rulesys.GenericRuleReasoner
`GenericRuleReasoner.RuleMode`

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.rulesys.GenericRuleReasoner
`BACKWARD, filterFunctors, FORWARD, FORWARD_RETE, HYBRID`

Constructor Summary
`OWLMicroReasoner(ReasonerFactory factory)` Constructor

Method Summary
`Capabilities` | `getGraphCapabilities()` Return the Jena Graph Capabilties that the inference graphs generated by this reasoner are expected to conform to.
`static java.util.List` | `loadRules()` Return the rule set, loading it in if necessary

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.GenericRuleReasoner
`addPreprocessingHook, bind, bindSchema, removePreprocessingHook, setFunctorFiltering, setMode, setOWLTranslation, setRules, setTransitiveClosureCaching`

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.FBRuleReasoner
`addDescription, addRules, bindSchema, getBoundSchema, getReasonerCapabilities, getRules, isTraceOn, loadRules, setDerivationLogging, setParameter, setTraceOn, supportsProperty, tablePredicate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.reasoner.Reasoner
`addDescription, bind, bindSchema, bindSchema, getReasonerCapabilities, setDerivationLogging, setParameter, supportsProperty`

Constructor Detail

### OWLMicroReasoner

    public OWLMicroReasoner(ReasonerFactory factory)

  Constructor

Method Detail

### loadRules

    public static java.util.List loadRules()

  Return the rule set, loading it in if necessary

### getGraphCapabilities

    public Capabilities getGraphCapabilities()

  Return the Jena Graph Capabilties that the inference graphs generated by this reasoner are expected to conform to.

  Specified by:
    `getGraphCapabilities` in interface `Reasoner`
  Overrides:
    `getGraphCapabilities` in class `FBRuleReasoner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP